<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:20 BST 2009 -->
<TITLE>
GraphSelectionModel (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.graph.GraphSelectionModel interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="GraphSelectionModel (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/GraphSelectionModel.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/GraphModel.html" title="interface in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="GraphSelectionModel.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.graph</FONT>
<BR>
Interface GraphSelectionModel</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../org/jgraph/graph/DefaultGraphSelectionModel.html" title="class in org.jgraph.graph">DefaultGraphSelectionModel</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>GraphSelectionModel</B></DL>

<P>
This interface represents the current state of the selection for
 the graph component.
 <p>

 A GraphSelectionModel can be configured to allow only one
 cell (<code>SINGLE_GRAPH_SELECTION</code>) or a number of
 cells (<code>MULTIPLE_GRAPH_SELECTION</code>).
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#MULTIPLE_GRAPH_SELECTION">MULTIPLE_GRAPH_SELECTION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Selection can contain any number of items.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#SINGLE_GRAPH_SELECTION">SINGLE_GRAPH_SELECTION</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Selection can only contain one cell at a time.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#addGraphSelectionListener(org.jgraph.event.GraphSelectionListener)">addGraphSelectionListener</A></B>(<A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A>&nbsp;x)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds x to the list of listeners that are notified each time the
 set of selected Objects changes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#addPropertyChangeListener(java.beans.PropertyChangeListener)">addPropertyChangeListener</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/beans/PropertyChangeListener.html" title="class or interface in java.beans">PropertyChangeListener</A>&nbsp;listener)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds a PropertyChangeListener to the listener list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#addSelectionCell(java.lang.Object)">addSelectionCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds cell to the current selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#addSelectionCells(java.lang.Object[])">addSelectionCells</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds cells to the current selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#clearSelection()">clearSelection</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Empties the current selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#getSelectables()">getSelectables</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the cells that are currently selectable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#getSelectionCell()">getSelectionCell</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the first cell in the selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#getSelectionCells()">getSelectionCells</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the cells in the selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#getSelectionCount()">getSelectionCount</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of cells that are selected.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#getSelectionMode()">getSelectionMode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the current selection mode, either
 <code>SINGLE_GRAPH_SELECTION</code> or
 <code>MULTIPLE_GRAPH_SELECTION</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#isCellSelected(java.lang.Object)">isCellSelected</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the cell, <code>cell</code>, is in the current
 selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#isChildrenSelectable()">isChildrenSelectable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the selection model allows the selection
 of children.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#isChildrenSelected(java.lang.Object)">isChildrenSelected</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the cell, <code>cell</code>,
 has selected children.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#isSelectionEmpty()">isSelectionEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the selection is currently empty.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#removeGraphSelectionListener(org.jgraph.event.GraphSelectionListener)">removeGraphSelectionListener</A></B>(<A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A>&nbsp;x)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes x from the list of listeners that are notified each time
 the set of selected Objects changes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#removePropertyChangeListener(java.beans.PropertyChangeListener)">removePropertyChangeListener</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/beans/PropertyChangeListener.html" title="class or interface in java.beans">PropertyChangeListener</A>&nbsp;listener)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes a PropertyChangeListener from the listener list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#removeSelectionCell(java.lang.Object)">removeSelectionCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes cell from the selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#removeSelectionCells(java.lang.Object[])">removeSelectionCells</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes cells from the selection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#setChildrenSelectable(boolean)">setChildrenSelectable</A></B>(boolean&nbsp;flag)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets if the selection model allows the selection
 of children.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#setSelectionCell(java.lang.Object)">setSelectionCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the selection to cell.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#setSelectionCells(java.lang.Object[])">setSelectionCells</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the selection to cells.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/GraphSelectionModel.html#setSelectionMode(int)">setSelectionMode</A></B>(int&nbsp;mode)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the selection model, which must be either
 SINGLE_GRAPH_SELECTION or MULTIPLE_GRAPH_SELECTION.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="SINGLE_GRAPH_SELECTION"><!-- --></A><H3>
SINGLE_GRAPH_SELECTION</H3>
<PRE>
public static final int <B>SINGLE_GRAPH_SELECTION</B></PRE>
<DL>
<DD>Selection can only contain one cell at a time.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.jgraph.graph.GraphSelectionModel.SINGLE_GRAPH_SELECTION">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="MULTIPLE_GRAPH_SELECTION"><!-- --></A><H3>
MULTIPLE_GRAPH_SELECTION</H3>
<PRE>
public static final int <B>MULTIPLE_GRAPH_SELECTION</B></PRE>
<DL>
<DD>Selection can contain any number of items.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.jgraph.graph.GraphSelectionModel.MULTIPLE_GRAPH_SELECTION">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="setSelectionMode(int)"><!-- --></A><H3>
setSelectionMode</H3>
<PRE>
public void <B>setSelectionMode</B>(int&nbsp;mode)</PRE>
<DL>
<DD>Sets the selection model, which must be either
 SINGLE_GRAPH_SELECTION or MULTIPLE_GRAPH_SELECTION.
 <p>
 This may change the selection if the current selection is not valid
 for the new mode.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setChildrenSelectable(boolean)"><!-- --></A><H3>
setChildrenSelectable</H3>
<PRE>
public void <B>setChildrenSelectable</B>(boolean&nbsp;flag)</PRE>
<DL>
<DD>Sets if the selection model allows the selection
 of children.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isChildrenSelectable()"><!-- --></A><H3>
isChildrenSelectable</H3>
<PRE>
public boolean <B>isChildrenSelectable</B>()</PRE>
<DL>
<DD>Returns true if the selection model allows the selection
 of children.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSelectionMode()"><!-- --></A><H3>
getSelectionMode</H3>
<PRE>
public int <B>getSelectionMode</B>()</PRE>
<DL>
<DD>Returns the current selection mode, either
 <code>SINGLE_GRAPH_SELECTION</code> or
 <code>MULTIPLE_GRAPH_SELECTION</code>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setSelectionCell(java.lang.Object)"><!-- --></A><H3>
setSelectionCell</H3>
<PRE>
public void <B>setSelectionCell</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Sets the selection to cell. If this represents a change, then
 the GraphSelectionListeners are notified. If <code>cell</code> is
 null, this has the same effect as invoking <code>clearSelection</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cell</CODE> - new cell to select</DL>
</DD>
</DL>
<HR>

<A NAME="setSelectionCells(java.lang.Object[])"><!-- --></A><H3>
setSelectionCells</H3>
<PRE>
public void <B>setSelectionCells</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells)</PRE>
<DL>
<DD>Sets the selection to cells. If this represents a change, then
 the GraphSelectionListeners are notified. If <code>cells</code> is
 null, this has the same effect as invoking <code>clearSelection</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cells</CODE> - new selection</DL>
</DD>
</DL>
<HR>

<A NAME="addSelectionCell(java.lang.Object)"><!-- --></A><H3>
addSelectionCell</H3>
<PRE>
public void <B>addSelectionCell</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Adds cell to the current selection. If cell is not currently
 in the selection the GraphSelectionListeners are notified. This has
 no effect if <code>cell</code> is null.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cell</CODE> - the new cell to add to the current selection</DL>
</DD>
</DL>
<HR>

<A NAME="addSelectionCells(java.lang.Object[])"><!-- --></A><H3>
addSelectionCells</H3>
<PRE>
public void <B>addSelectionCells</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells)</PRE>
<DL>
<DD>Adds cells to the current selection.  If any of the cells are
 not currently in the selection the GraphSelectionListeners
 are notified. This has no effect if <code>cells</code> is null.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cells</CODE> - the new cells to add to the current selection</DL>
</DD>
</DL>
<HR>

<A NAME="removeSelectionCell(java.lang.Object)"><!-- --></A><H3>
removeSelectionCell</H3>
<PRE>
public void <B>removeSelectionCell</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Removes cell from the selection. If cell is in the selection
 the GraphSelectionListeners are notified. This has no effect if
 <code>cell</code> is null.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cell</CODE> - the cell to remove from the selection</DL>
</DD>
</DL>
<HR>

<A NAME="removeSelectionCells(java.lang.Object[])"><!-- --></A><H3>
removeSelectionCells</H3>
<PRE>
public void <B>removeSelectionCells</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]&nbsp;cells)</PRE>
<DL>
<DD>Removes cells from the selection.  If any of the cells in
 <code>cells</code> are in the selection, the
 GraphSelectionListeners are notified. This method has no
 effect if <code>cells</code> is null.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cells</CODE> - the cells to remove from the selection</DL>
</DD>
</DL>
<HR>

<A NAME="getSelectables()"><!-- --></A><H3>
getSelectables</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getSelectables</B>()</PRE>
<DL>
<DD>Returns the cells that are currently selectable.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSelectionCell()"><!-- --></A><H3>
getSelectionCell</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getSelectionCell</B>()</PRE>
<DL>
<DD>Returns the first cell in the selection. How first is defined is
 up to implementors.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSelectionCells()"><!-- --></A><H3>
getSelectionCells</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getSelectionCells</B>()</PRE>
<DL>
<DD>Returns the cells in the selection. This will return null (or an
 empty array) if nothing is currently selected.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getSelectionCount()"><!-- --></A><H3>
getSelectionCount</H3>
<PRE>
public int <B>getSelectionCount</B>()</PRE>
<DL>
<DD>Returns the number of cells that are selected.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isCellSelected(java.lang.Object)"><!-- --></A><H3>
isCellSelected</H3>
<PRE>
public boolean <B>isCellSelected</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Returns true if the cell, <code>cell</code>, is in the current
 selection.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isChildrenSelected(java.lang.Object)"><!-- --></A><H3>
isChildrenSelected</H3>
<PRE>
public boolean <B>isChildrenSelected</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell)</PRE>
<DL>
<DD>Returns true if the cell, <code>cell</code>,
 has selected children.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isSelectionEmpty()"><!-- --></A><H3>
isSelectionEmpty</H3>
<PRE>
public boolean <B>isSelectionEmpty</B>()</PRE>
<DL>
<DD>Returns true if the selection is currently empty.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clearSelection()"><!-- --></A><H3>
clearSelection</H3>
<PRE>
public void <B>clearSelection</B>()</PRE>
<DL>
<DD>Empties the current selection.  If this represents a change in the
 current selection, the selection listeners are notified.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addPropertyChangeListener(java.beans.PropertyChangeListener)"><!-- --></A><H3>
addPropertyChangeListener</H3>
<PRE>
public void <B>addPropertyChangeListener</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/beans/PropertyChangeListener.html" title="class or interface in java.beans">PropertyChangeListener</A>&nbsp;listener)</PRE>
<DL>
<DD>Adds a PropertyChangeListener to the listener list.
 The listener is registered for all properties.
 <p>
 A PropertyChangeEvent will get fired when the selection mode
 changes.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>listener</CODE> - the PropertyChangeListener to be added</DL>
</DD>
</DL>
<HR>

<A NAME="removePropertyChangeListener(java.beans.PropertyChangeListener)"><!-- --></A><H3>
removePropertyChangeListener</H3>
<PRE>
public void <B>removePropertyChangeListener</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/beans/PropertyChangeListener.html" title="class or interface in java.beans">PropertyChangeListener</A>&nbsp;listener)</PRE>
<DL>
<DD>Removes a PropertyChangeListener from the listener list.
 This removes a PropertyChangeListener that was registered
 for all properties.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>listener</CODE> - the PropertyChangeListener to be removed</DL>
</DD>
</DL>
<HR>

<A NAME="addGraphSelectionListener(org.jgraph.event.GraphSelectionListener)"><!-- --></A><H3>
addGraphSelectionListener</H3>
<PRE>
public void <B>addGraphSelectionListener</B>(<A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A>&nbsp;x)</PRE>
<DL>
<DD>Adds x to the list of listeners that are notified each time the
 set of selected Objects changes.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>x</CODE> - the new listener to be added</DL>
</DD>
</DL>
<HR>

<A NAME="removeGraphSelectionListener(org.jgraph.event.GraphSelectionListener)"><!-- --></A><H3>
removeGraphSelectionListener</H3>
<PRE>
public void <B>removeGraphSelectionListener</B>(<A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A>&nbsp;x)</PRE>
<DL>
<DD>Removes x from the list of listeners that are notified each time
 the set of selected Objects changes.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>x</CODE> - the listener to remove</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/GraphSelectionModel.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/GraphModel.html" title="interface in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/Port.html" title="interface in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="GraphSelectionModel.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
